import e from "./CodeContent.js";
import t from "./MarkdownContent.js";
import { ObjectController as n } from "./ObjectController.js";
import "react";
import { jsx as r } from "react/jsx-runtime";
//#region src/components/dynamic-form/FormBody.tsx
var i = ({ mimeType: i, schema: a, ui: o, disabled: s, viewOnly: c, form: l }) => {
	let u = l.watch("raw");
	return (() => {
		switch (i) {
			case "text/markdown": return /* @__PURE__ */ r(t, { content: u ?? "" });
			case "application/json":
			case "application/yaml": return /* @__PURE__ */ r(e, { content: u ?? "" });
			case void 0: return /* @__PURE__ */ r(n, {
				name: null,
				parentKey: null,
				schema: a,
				ui: o,
				form: l,
				disabled: s,
				required: !0,
				viewOnly: c
			});
		}
	})();
};
//#endregion
export { i as default };
